#ifndef VDR_STREAMDEV_REMUX_H
#define VDR_STREAMDEV_REMUX_H

#include <vdr/thread.h>

#include "libdvbmpeg/transform.h"

class cTBSocket;

class cPES2TSRemux: public cThread {
	friend void put_tsfile(uint8_t *Data, int Length, void *P2P);

private:
	bool m_Active;
	int m_Files[2];
	cTBSocket *m_PESFile;
	cTBSocket *m_TSFile;
	uint m_Apid;
	uint m_Vpid;

	static int m_TSPutFd;

protected:
	virtual void Action(void);

public:
	cPES2TSRemux(cTBSocket *PESFile, uint Apid, uint Vpid);
	virtual ~cPES2TSRemux();

	void Stop(void);

	cTBSocket *TSFile(void) const { return m_TSFile; }
};

#endif // VDR_STREAMDEV_REMUX_H
