#ifndef VDR_STREAMDEV_SERVERS_CONNECTIONHTTP_H
#define VDR_STREAMDEV_SERVERS_CONNECTIONHTTP_H

#include "connection.h"

#include <tools/select.h>

class cChannel;
class cStreamdevChanStreamer;

class cConnectionHTTP: public cServerConnection {
private:
	enum eHTTPStatus {
		hsRequest,
		hsHeaders,
		hsTransfer
	};

	cChannel               *m_Channel;
	cStreamdevChanStreamer *m_ChanStreamer;
	eStreamType             m_StreamType;
	eHTTPStatus             m_Status;

public:
	cConnectionHTTP(void);
	virtual ~cConnectionHTTP();

	virtual void DetachAll(void);
	virtual void AttachAll(void);

	virtual bool Command(char *Cmd);
	bool CmdGET(char *Opts);
};

#endif // VDR_STREAMDEV_SERVERS_CONNECTIONVTP_H
